- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Functions

# qatomic_sparc.h File Reference

Go to the source code of this file.

## Defines
#define | Q_ATOMIC_INT_REFERENCE_COUNTING_IS_NOT_NATIVE
#define | Q_ATOMIC_INT_TEST_AND_SET_IS_NOT_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_STORE_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_STORE_IS_WAIT_FREE
#define | Q_ATOMIC_INT_FETCH_AND_ADD_IS_NOT_NATIVE
#define | Q_ATOMIC_POINTER_TEST_AND_SET_IS_NOT_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_WAIT_FREE
#define | Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_NOT_NATIVE
## Functions
Q_CORE_EXPORT int | q_atomic_lock_int (volatile int *addr)
Q_CORE_EXPORT int | q_atomic_lock_ptr (volatile void *addr)
Q_CORE_EXPORT void | q_atomic_unlock (volatile void *addr, int value)
Q_CORE_EXPORT int | q_atomic_set_int (volatile int *ptr, int newval)
Q_CORE_EXPORT void * | q_atomic_set_ptr (volatile void *ptr, void *newval)

## Define Documentation

#define Q_ATOMIC_INT_REFERENCE_COUNTING_IS_NOT_NATIVE

Search for all occurrences

Definition at line 292 of file qatomic_sparc.h.

#define Q_ATOMIC_INT_TEST_AND_SET_IS_NOT_NATIVE

Search for all occurrences

Definition at line 299 of file qatomic_sparc.h.

#define Q_ATOMIC_INT_FETCH_AND_STORE_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 306 of file qatomic_sparc.h.

#define Q_ATOMIC_INT_FETCH_AND_STORE_IS_WAIT_FREE

Search for all occurrences

Definition at line 307 of file qatomic_sparc.h.

#define Q_ATOMIC_INT_FETCH_AND_ADD_IS_NOT_NATIVE

Search for all occurrences

Definition at line 314 of file qatomic_sparc.h.

#define Q_ATOMIC_POINTER_TEST_AND_SET_IS_NOT_NATIVE

Search for all occurrences

Definition at line 321 of file qatomic_sparc.h.

#define Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 330 of file qatomic_sparc.h.

#define Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_WAIT_FREE

Search for all occurrences

Definition at line 331 of file qatomic_sparc.h.

#define Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_NOT_NATIVE

Search for all occurrences

Definition at line 340 of file qatomic_sparc.h.

## Function Documentation

Q_CORE_EXPORT int q_atomic_lock_int | ( | volatile int * | addr | ) |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_lock_ptr | ( | volatile void * | addr | ) |

Search for all occurrences

Q_CORE_EXPORT void q_atomic_unlock | ( | volatile void * | addr,
|  | int | value
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_set_int | ( | volatile int * | ptr,
|  | int | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* q_atomic_set_ptr | ( | volatile void * | ptr,
|  | void * | newval
| ) |  |

Search for all occurrences